summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_create_meta_pkg_sets.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-09 14:39:30 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-09 14:39:30 +0200
commit5ffdaa11b73073c5658448691f1eb27ac1d1614e (patch)
treed2cf332faa36324ca7b8e6be8aa51aceb68343e1 /bin/reproducible_create_meta_pkg_sets.sh
parent523c1cb668842441b3eb357b3805b7a8ae95a615 (diff)
downloadjenkins.debian.net-5ffdaa11b73073c5658448691f1eb27ac1d1614e.tar.xz
reproducible: don't try to parse package list if its 404
Diffstat (limited to 'bin/reproducible_create_meta_pkg_sets.sh')
-rwxr-xr-xbin/reproducible_create_meta_pkg_sets.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/reproducible_create_meta_pkg_sets.sh b/bin/reproducible_create_meta_pkg_sets.sh
index da3c555e..c357aa95 100755
--- a/bin/reproducible_create_meta_pkg_sets.sh
+++ b/bin/reproducible_create_meta_pkg_sets.sh
@@ -285,9 +285,13 @@ update_pkg_sets() {
if [ ! -z $(find $TPATH -maxdepth 1 -mtime +0 -name ${META_PKGSET[16]}.pkgset) ] || [ ! -f $TPATH/${META_PKGSET[16]}.pkgset ] ; then
curl http://nightly.tails.boum.org/build_Tails_ISO_feature-jessie/latest.iso.binpkgs > $TMPFILE
curl http://nightly.tails.boum.org/build_Tails_ISO_feature-jessie/latest.iso.srcpkgs >> $TMPFILE
- packages_list_to_deb822
- convert_from_deb822_into_source_packages_only
- update_if_similar ${META_PKGSET[16]}.pkgset
+ if ! grep '<title>404 Not Found</title>' $TMPFILE ; then
+ packages_list_to_deb822
+ convert_from_deb822_into_source_packages_only
+ update_if_similar ${META_PKGSET[16]}.pkgset
+ else
+ echo "Warning: could not download tail's latest packages file(s), skipping tails pkg set..."
+ fi
fi
# all build depends of tails